<?php

namespace saul\ComunBundle\Repository;

/**
 * DocumentoRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class CiudadRepository extends \Doctrine\ORM\EntityRepository
{
    function consultarPorClave($clave)
    {
        $em = $this->getEntityManager();
        $dql  ="SELECT c
                FROM ComunBundle:Ciudad c                
                WHERE 1=1 ";
        if($clave){
            $dql  .="AND c.nombre like '%$clave%'";
        }
        $query = $em->createQuery($dql);
        return $query->getResult();
    }
}
